Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F150604935
D34102.id104104.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D34102.id104104.diff
View Options
diff --git a/usr.sbin/bsdinstall/scripts/hardening b/usr.sbin/bsdinstall/scripts/hardening
--- a/usr.sbin/bsdinstall/scripts/hardening
+++ b/usr.sbin/bsdinstall/scripts/hardening
@@ -26,14 +26,14 @@
#
# $FreeBSD$
-: ${DIALOG_OK=0}
+: ${BSDDIALOG_OK=0}
echo -n > $BSDINSTALL_TMPETC/rc.conf.hardening
echo -n > $BSDINSTALL_TMPETC/sysctl.conf.hardening
echo -n > $BSDINSTALL_TMPBOOT/loader.conf.hardening
exec 3>&1
-FEATURES=$( dialog --backtitle "FreeBSD Installer" \
+FEATURES=$( bsddialog --backtitle "FreeBSD Installer" \
--title "System Hardening" --nocancel --separate-output \
--checklist "Choose system security hardening options:" \
0 0 0 \
@@ -49,8 +49,13 @@
"9 secure_console" "Enable console password prompt" ${secure_console:-off} \
"10 disable_ddtrace" "Disallow DTrace destructive-mode" ${disable_ddtrace:-off} \
2>&1 1>&3 )
+retval=$?
exec 3>&-
+if [ $retval -ne $BSDDIALOG_OK ]; then
+ exit 1
+fi
+
for feature in $FEATURES; do
case "$feature" in
hide_uids)
@@ -88,4 +93,3 @@
;;
esac
done
-
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Fri, Apr 3, 6:17 PM (11 h, 53 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
30772048
Default Alt Text
D34102.id104104.diff (1 KB)
Attached To
Mode
D34102: bsdinstall/scripts/hardening: replace dialog with bsddialog (and fix --separate-output).
Attached
Detach File
Event Timeline
Log In to Comment